# Visualization
TKV2d
Graphic2d

# Graphic2d_InfiniteLine Class Reference

The primitive InfiniteLine
.

`#include <Graphic2d_InfiniteLine.hxx>`

Inheritance diagram for Graphic2d_InfiniteLine:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic2d_InfiniteLine (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const Quantity_Length X, const Quantity_Length Y, const Quantity_Length DX, const Quantity_Length DY)
| Creates an infinite line. The reference point is <x>, <y>. The slope is <dx>, <dy>. Warning: Raises InfiniteLineDefinitionError if the <dx> and <dy> are null. .
Standard_EXPORT void | Reference (Quantity_Length &X, Quantity_Length &Y) const
| returns the coordinates of the reference point
Standard_EXPORT void | Slope (Quantity_Length &dX, Quantity_Length &dY) const
| returns the slope <dx>, <dy>
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Retrieve (Aspect_IFStream &anIFStream, const Handle(Graphic2d_GraphicObject)&aGraphicObject)

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the infinite line <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the infinite line <me> is picked, Standard_False if not. .

## Private Attributes

Standard_ShortReal | myX
Standard_ShortReal | myY
Standard_ShortReal | myDX
Standard_ShortReal | myDY

## Constructor & Destructor Documentation

Standard_EXPORT Graphic2d_InfiniteLine::Graphic2d_InfiniteLine | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | DX,
|  | const Quantity_Length | DY
| ) |

## Member Function Documentation

Standard_EXPORT void Graphic2d_InfiniteLine::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

Standard_EXPORT const Graphic2d_InfiniteLine::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Standard_Boolean Graphic2d_InfiniteLine::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

Standard_EXPORT void Graphic2d_InfiniteLine::Reference | ( | Quantity_Length & | X,
|  | Quantity_Length & | Y
| ) | const

static Standard_EXPORT void Graphic2d_InfiniteLine::Retrieve | ( | Aspect_IFStream & | anIFStream,
|  | const Handle(Graphic2d_GraphicObject)& | aGraphicObject
| ) | `[static]`

virtual Standard_EXPORT void Graphic2d_InfiniteLine::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Reimplemented from Graphic2d_Line.

Standard_EXPORT void Graphic2d_InfiniteLine::Slope | ( | Quantity_Length & | dX,
|  | Quantity_Length & | dY
| ) | const

## Field Documentation

Standard_ShortReal Graphic2d_InfiniteLine::myDX `[private]`

Standard_ShortReal Graphic2d_InfiniteLine::myDY `[private]`

Standard_ShortReal Graphic2d_InfiniteLine::myX `[private]`

Standard_ShortReal Graphic2d_InfiniteLine::myY `[private]`

The documentation for this class was generated from the following file:

- Graphic2d_InfiniteLine.hxx